Sets
	i contenitori /1, 2, 3/
	j oggetti /1, 2, 3, 4, 5, 6, 7/ ;

Parameters
	p(j) profitto oggetto j
	/ 1  294
	  2  93 
	  3  96 
	  4  155
	  5  294
	  6  96 
	  7  155 /
	w(j) peso oggetto j
	/ 1  600 
	  2  396 
	  3  195 
	  4  660 
	  5  600 
	  6  195 
	  7  660 /
	K(i) capacita' contenitore i
	/ 1 884
	  2 884
	  3 884 /;
	
Variables
	x(i,j) assegnamento oggetto j to contenitore i
	z	funzione obiettivo;
	
Binary variable x;

Equations
	profitto	funzione obiettivo
	cap(i)		disponibilita'
	assegn(j) un oggetto in un solo contenitore;

profitto.. z =e= sum((i,j), p(j)*x(i,j));

cap(i).. sum(j, w(j)* x(i,j)) =l= K(i);

assegn(j).. sum(i, x(i,j)) =l= 1;

Model mkp /all/;

solve mkp using mip maximizing z;

display x.l, z.l;
