$title vetreria

Sets
bicchieri /1,2,3/
lavorazioni /A,B,C,U/;

Scalar M /1000/;

Parameters
disp(lavorazioni) /A 320, B 240, C 200, U 400/
fisso(bicchieri) /1 8000, 2 9000, 3 7000/
guadagno(bicchieri) /1 250, 2 300, 3 500/;

Table ore(lavorazioni,bicchieri)
      1   2   3
A     10  15  7
B     9   13  0
C     2   4   1
U     14  14  14;

Integer variables x(bicchieri);
Binary variables y(bicchieri);
Variable z;

x.up(bicchieri) = M;

Equations
guad "guadagno totale"
totOre(lavorazioni) "disp. oraria settimanale lavorazioni"
vub(bicchieri) "upper bound variabile";

guad..z =e= sum(bicchieri, x(bicchieri)*guadagno(bicchieri) - y(bicchieri)*fisso(bicchieri));
totOre(lavorazioni)..sum(bicchieri, ore(lavorazioni,bicchieri)*x(bicchieri)) =l= disp(lavorazioni);
vub(bicchieri)..x(bicchieri) =l= M*y(bicchieri);

Model vetreria /all/;
Solve vetreria using mip maximizing z;
Display x.l;
